#!/usr/bin/env python
# -*- coding: utf-8 -*-

from enum import Enum

class MGeoItem(Enum):
    NODE = 1
    LINK = 2
    TRAFFIC_SIGN = 3
    TRAFFIC_LIGHT = 4
    JUNCTION = 5
    ROAD = 6
    SYNCED_TRAFFIC_LIGHT = 7
    INTERSECTION_CONTROLLER = 8
    LANE_BOUNDARY = 9
    LANE_NODE = 10
    SINGLECROSSWALK = 11
    CROSSWALK = 12
    ROADPOLYGON = 13
    PARKING_SPACE = 14
    SURFACE_MARKING = 15

class MGeoItemFlags(Enum):
    NODE = 0x00000001
    LINK = 0x00000002
    TRAFFIC_SIGN = 0x00000004
    TRAFFIC_LIGHT = 0x00000008
    JUNCTION = 0x00000010
    ROAD = 0x00000020
    SYNCED_TRAFFIC_LIGHT = 0x00000040
    INTERSECTION_CONTROLLER = 0x00000080
    LANE_BOUNDARY = 0x00000100
    LANE_NODE = 0x00000200
    SINGLECROSSWALK = 0x00000400
    CROSSWALK = 0x00000800
    ROADPOLYGON = 0x00001000
    PARKING_SPACE = 0x00002000
    SURFACE_MARKING = 0x00004000
